# GET /api/v1/fixed-assets/categories/{category_id}

> Get asset category

- **Tag:** fixed-assets
- **Operation ID:** `get_asset_category_api_v1_fixed_assets_categories__category_id__get`

## Description

Get a specific asset category.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Parameters

- `category_id` (path, string, required)

## Responses

### 200 — Successful Response

Schema: `AssetCategoryResponse`

- `name` (string · required) — Category name
- `description` (string) — Category description
- `default_useful_life_months` (integer) — Default useful life in months for assets in this category
- `default_depreciation_method` (DepreciationMethod) → `DepreciationMethod` — Default depreciation method
- `default_salvage_percent` (integer) — Default salvage value as percentage of cost
- `id` (string · required) — Category ID
- `asset_ledger_id` (string) — Ledger account for asset cost
- `depreciation_expense_ledger_id` (string) — Ledger account for depreciation expense
- `accumulated_depreciation_ledger_id` (string) — Ledger account for accumulated depreciation
- `asset_count` (integer) — Number of assets in this category
- `created_at` (string · date-time · required) — Record creation timestamp
- `updated_at` (string · date-time · required) — Last update timestamp

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X GET 'https://api.ondayzero.com/api/v1/fixed-assets/categories/{category_id}' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/fixed-assets/categories/{category_id}', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
  },
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

response = httpx.get("https://api.ondayzero.com/api/v1/fixed-assets/categories/{category_id}", headers=headers)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/fixed-assets/get-asset-category
- OpenAPI slice: https://www.ondayzero.com/docs/reference/fixed-assets/get-asset-category/openapi.json
- Other endpoints in **fixed-assets**: https://www.ondayzero.com/docs/reference/fixed-assets
